/*
 * Nop.cs --
 *
 * Copyright (c) 2007-2012 by Joe Mistachkin.  All rights reserved.
 *
 * See the file "license.terms" for information on usage and redistribution of
 * this file, and for a DISCLAIMER OF ALL WARRANTIES.
 *
 * RCS: @(#) $Id: $
 */

using Eagle._Attributes;
using Eagle._Components.Public;
using Eagle._Containers.Public;
using Eagle._Interfaces.Public;

namespace Eagle._Commands
{
    [ObjectId("500d712c-73cf-4a6c-8929-aee59e137047")]
    [CommandFlags(CommandFlags.Safe)]
    [ObjectGroup("nop")]
    internal sealed class Nop : Core
    {
        public Nop(
            ICommandData commandData
            )
            : base(commandData)
        {
            // do nothing.
        }

        #region IExecute Members
        public override ReturnCode Execute(
            Interpreter interpreter,
            IClientData clientData,
            ArgumentList arguments,
            ref Result result
            )
        {
            //
            // NOTE: This command is RESERVED and must ALWAYS do NOTHING.
            //       Output argument "result" is purposely left untouched.
            //
            return ReturnCode.Ok;
        }
        #endregion
    }
}
