/*
 * PluginWrapperDictionary.cs --
 *
 * Copyright (c) 2007-2012 by Joe Mistachkin.  All rights reserved.
 *
 * See the file "license.terms" for information on usage and redistribution of
 * this file, and for a DISCLAIMER OF ALL WARRANTIES.
 *
 * RCS: @(#) $Id: $
 */

using System.Collections.Generic;
using Eagle._Attributes;
using Eagle._Components.Private;
using Eagle._Components.Public;
using Eagle._Constants;
using Eagle._Containers.Public;

namespace Eagle._Containers.Private
{
    [ObjectId("bc93cd1f-ed24-4078-85a3-c8f658a605f9")]
    internal sealed class PluginWrapperDictionary :
            WrapperDictionary<string, _Wrappers.Plugin>
    {
        public PluginWrapperDictionary()
            : base()
        {
            // do nothing.
        }

        ///////////////////////////////////////////////////////////////////////

        public PluginWrapperDictionary(
            IDictionary<string, _Wrappers.Plugin> dictionary
            )
            : base(dictionary)
        {
            // do nothing.
        }

        ///////////////////////////////////////////////////////////////////////

        public override string ToString(
            string pattern,
            bool noCase
            )
        {
            StringList list = new StringList();

            foreach (_Wrappers.Plugin item in this.Values)
                if (item != null)
                    list.Add(StringList.MakeList(item.FileName, item.Name));

            return GenericOps<string>.ListToString(
                list, Index.Invalid, Index.Invalid, ToStringFlags.None,
                Characters.Space.ToString(), pattern, noCase);
        }
    }
}
