/*
 * Resolve.cs --
 *
 * Copyright (c) 2007-2012 by Joe Mistachkin.  All rights reserved.
 *
 * See the file "license.terms" for information on usage and redistribution of
 * this file, and for a DISCLAIMER OF ALL WARRANTIES.
 *
 * RCS: @(#) $Id: $
 */

using Eagle._Attributes;
using Eagle._Components.Public;
using Eagle._Containers.Public;

namespace Eagle._Interfaces.Public
{
    [ObjectId("e77c6722-983d-4277-bada-d1850a9ccb1a")]
    public interface IResolve : IResolveData
    {
        [Throw(true)]
        ReturnCode GetIExecute(
            ICallFrame frame, EngineFlags flags, string name,
            ArgumentList arguments, bool wrapper, bool validate,
            ref bool ambiguous, ref long token, ref IExecute execute,
            ref Result error);

        [Throw(true)]
        ReturnCode GetVariable(
            ICallFrame frame, string varName, string varIndex,
            ref VariableFlags flags, ref IVariable variable,
            ref Result error);
    }
}
