/*
 * AssemblySourceTimeStampAttribute.cs --
 *
 * Copyright (c) 2007-2012 by Joe Mistachkin.  All rights reserved.
 *
 * See the file "license.terms" for information on usage and redistribution of
 * this file, and for a DISCLAIMER OF ALL WARRANTIES.
 *
 * RCS: @(#) $Id: $
 */

using System;
using System.Runtime.InteropServices;

namespace Eagle._Attributes
{
    [AttributeUsage(AttributeTargets.Assembly, Inherited = false)]
    [Guid("8984ae1a-209f-4f5e-b2f8-3bd6bf7bb57c")]
    public sealed class AssemblySourceTimeStampAttribute : Attribute
    {
        public AssemblySourceTimeStampAttribute(
            string value
            )
        {
            sourceTimeStamp = value;
        }

        ///////////////////////////////////////////////////////////////////////////////////////////////

        private string sourceTimeStamp;
        public string SourceTimeStamp
        {
            get { return sourceTimeStamp; }
        }
    }
}
